﻿<?xml version="1.0" encoding="UTF-8"?>

<!-- Transformačná XSL šabóna vydaných faktúr pre transformáciu obecnej štruktúry OBERON XML do súboru HTML  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
	<xsl:output omit-xml-declaration="yes" indent="yes" method="html" />


	<xsl:template match="/">
		<html>
			<head>
				<title>HTML template - výdajky</title>
				<style type="text/css">
					p, div, hr { margin: 0; padding: 0; }
					body, table { font-family:Tahoma; font-size: 12px; }
					img { border:0; }
					hr { height: 1px; margin-bottom: 10px; border: 0; background-color: black; }
					table { width:100%; border-collapse: collapse; }
					tr.odd { background:#f8f8f8; }
					th, td { padding:5px; }
					th { font-weight: bold; text-align: left; border-bottom: 1px solid black; }
					td hr { margin: 0px !important; }
					.cert { color: #993CF3; width:900px;margin:0 auto 30px auto;}
					.r{ text-align: right; }
					.page { width:900px; margin:0 auto 30px auto; padding:15px; border-bottom: 1px dashed lightgray;padding-bottom: 30px; }
					.header { width: 900px; clear:both; overflow: hidden; margin-bottom: 15px; }
					.dodavatel { width: 450px; float: left; height: 240px; }
					.hdr { font-weight: bold; margin: 0 0 5px 0;}
					.logo { float:left; margin:0; width: 110px; overflow: hidden; }
					.logo img { width: 100px; height: 100px; float: left; }
					.address { margin-left: 10px; overflow: hidden; }
					.info div { float: left; padding: 2px 20px; }
					.faktura-header { float: left; border: 1px solid black; width: 420px; padding: 0; }
					.faktura-header div { padding: 10px; }
					.faktura-header .t strong { font-size: 16px; }
					.faktura-header .b { border-top: 1px solid black; }
					.faktura-header span { font-size: 10px; }
					.odberatel { width: 430px; margin: 10px 0 0 10px; float: left; }
					#content { clear: both; }
					.transport { overflow: hidden; }
					.transport .left{ float: left; }
					.transport .right{ float: right; }
				</style>
			</head>
			<body>
				<xsl:call-template name="docs"></xsl:call-template>
			</body>
		</html>

	</xsl:template>


	<xsl:template name="docs">

		<xsl:call-template name="sig"/>
		<!-- elektronický podpis -->

		<xsl:for-each select="//OBERON/Data/ReleaseNotes/Record">
			<!-- začiatok dokumentu -->
			<xsl:call-template name="document_template">
			</xsl:call-template>
		</xsl:for-each>
		<!-- koniec dokumentu -->

	</xsl:template>


	<xsl:template name="document_template">

		<div class="page">
			<div class="header">
				<div class="dodavatel">
					<p class="hdr">Dodávateľ:</p>
					<div class="logo">
						<img src="http://www.exalogic.sk/images/logo-faktura.png" alt="" />
					</div>
					<div class="address">
						<strong>
							<xsl:value-of select="Company/Name"/><br />
							<xsl:value-of select="Company/Address_Residence/Street_Name_Full"/><br />
							<xsl:value-of select="Company/Address_Residence/Postal_Code"/>
							<xsl:text>  </xsl:text>
							<xsl:value-of select="Company/Address_Residence/City"/>
						</strong><br />						
						IČO:    <strong><xsl:value-of select="Company/IdentificationNumber"/></strong><br />
						DIČ:    <strong><xsl:value-of select="Company/IdentificationNumber_Tax"/></strong><br />
						IČDPH:  <strong><xsl:value-of select="Company/IdentificationNumber_VAT"/></strong><br />
						<xsl:if test="string-length(Company/BusinessRegister_1)>0">
							<xsl:value-of select="Company/BusinessRegister_1"/><br />
							<xsl:value-of select="Company/BusinessRegister_2"/>
						</xsl:if>
					</div>
					<div style="margin-top: 10px;">
						<xsl:if test="string-length(Date_Document)>0">
							Dátum vystavenia:  <strong><xsl:value-of select="Date_Document"/></strong><br />
						</xsl:if>
						<xsl:if test="string-length(Number_Order)>0">
							Číslo objednávky:  <strong><xsl:value-of select="Number_Order"/></strong><br />
						</xsl:if>
						<xsl:if test="string-length(Stock)>0">
							Sklad:  <strong><xsl:value-of select="Stock"/></strong><br />
						</xsl:if>
						<xsl:if test='string-length(MovementDocument_Type_Name)>0'>
							Druh pohybu:  <strong><xsl:value-of select="MovementDocument_Type_Name"/></strong><br />
						</xsl:if>
					</div>
				</div>

				<div class="faktura-header">
					<div class="t">
						<strong>Výdajka č.: <xsl:value-of select="Document_Number"/></strong>						
					</div>
				</div>

				<div class="odberatel">
					<p class="hdr">Odberateľ:</p>
					<div class="address">
						<strong>
							<xsl:value-of select="BusinessPartner/Name"/><br />
							<xsl:value-of select="BusinessPartner/Address_Residence/Street_Name_Full"/>
							<br />							
							<xsl:value-of select="BusinessPartner/Address_Residence/Postal_Code"/>
							<xsl:text>  </xsl:text>
							<xsl:value-of select="BusinessPartner/Address_Residence/City"/>
							<br />
						</strong>
						<br />
						<div class="info">
							<div>IČO:   <strong><xsl:value-of select="BusinessPartner/IdentificationNumber"/></strong></div>
							<div>DIČ:   <strong><xsl:value-of select="BusinessPartner/IdentificationNumber_Tax"/></strong></div>
							<div>IČDPH: <strong><xsl:value-of select="BusinessPartner/IdentificationNumber_VAT"/></strong></div>
						</div>
					</div>

				</div>
			</div>

			
			<div id="content">				
				<hr />
				<xsl:if test="string-length(Document_Text_BeforeItems)>0">
					<!-- disable-output-escaping="yes" - html znaky sú zachované  -->
					<p><xsl:value-of select="Document_Text_BeforeItems" disable-output-escaping="yes"/></p>
					<hr />
				</xsl:if>

				<table class="items">
					<tr>
						<th><strong>Číslo</strong></th>
						<th><strong>Čiarový kód</strong></th>
						<th><strong>Názov</strong></th>
						<th class="r"><strong>Množstvo</strong></th>
						<th><strong>MJ</strong></th>
						<th class="r"><strong>Cena za MJ bez DPH</strong></th>
						<th class="r"><strong>Cena za MJ s DPH</strong></th>
						<th class="r"><strong>Celkom s DPH</strong></th>
						<th class="r" style="width: 30px;"><strong>DPH [%]</strong></th>
					</tr>

					<xsl:for-each select="Items/Item">
						<!-- Zavolanie vzoru pre položku faktúry -->
						<xsl:call-template name="item_template">
						</xsl:call-template>
					</xsl:for-each>
					<tr>
						<td colspan="3"></td>
						<td colspan="6"><hr /></td>
					</tr>
					<tr>
						<td colspan="6">&#160;</td>
						<td class="r"><strong>Celkom:</strong></td>
						<td class="r"><strong>
								<xsl:value-of select='format-number(Document_PriceValues/Price_Total, "#0.00")'/>
							</strong></td>
						<td><strong><xsl:value-of select="Document_PriceValues/CurrencyCode"/></strong></td>
					</tr>

				</table>
				<hr />

				<xsl:if test="string-length(Document_Text_AfterItems)>0">
					<p><xsl:value-of select="Document_Text_AfterItems" disable-output-escaping="yes"/></p>
					<hr />
				</xsl:if>
				<p><center><small>
					<img src="http://www.exalogic.sk/images/logo-oberon.jpg" alt="" width="20px" height="20px" />
					Predvolená XSLT šablóna OBERON.
				</small></center></p>

			</div>
			<!--end content-->
		</div>

	</xsl:template>


	<xsl:template name="item_template">
		<xsl:choose>
			<xsl:when test="position() mod 2 = 0">
			<tr class="even">
				<td><xsl:value-of select="Number"/></td>
				<td><xsl:value-of select="BarCode"/></td>
				<td><xsl:value-of select="Name"/></td>
				<td class="r"><xsl:value-of select='format-number(Amount_Unit,"#0.0000")'/></td>
				<td><xsl:value-of select="Unit"/></td>
				<td class="r"><xsl:value-of select='format-number(Price_WithoutVAT_Unit,"#0.0000")'/></td>
				<td class="r"><xsl:value-of select='format-number(Price_WithVAT_Unit,"#0.0000")'/></td>
				<td class="r"><xsl:value-of select='format-number(Price_WithVAT,"#0.0000")'/></td>				
				<td class="r"><xsl:value-of select="VAT_Rate"/></td>
			</tr>
			</xsl:when>
			<xsl:otherwise>
			<tr class="odd">
				<td><xsl:value-of select="Number"/></td>
				<td><xsl:value-of select="BarCode"/></td>
				<td><xsl:value-of select="Name"/></td>
				<td class="r"><xsl:value-of select='format-number(Amount_Unit,"#0.0000")'/></td>
				<td><xsl:value-of select="Unit"/></td>
				<td class="r"><xsl:value-of select='format-number(Price_WithoutVAT_Unit,"#0.0000")'/></td>
				<td class="r"><xsl:value-of select='format-number(Price_WithVAT_Unit,"#0.0000")'/></td>
				<td class="r"><xsl:value-of select='format-number(Price_WithVAT,"#0.0000")'/></td>				
				<td class="r"><xsl:value-of select="VAT_Rate"/></td>
			</tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<xsl:template name="sig" match="//ds:Signature">
		<xsl:if test="//ds:Signature">
			<div class="cert">
				Dokument obsahuje elektronický podpis.<br />
				<xsl:text>&#160;&#160;&#160;&#160;</xsl:text>Podpísal:  <strong>
					<xsl:value-of select="substring(//ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509SubjectName, 4)"/>
				</strong><br />
				<xsl:text>&#160;&#160;&#160;&#160;</xsl:text>Vydavateľ certifikátu:
				<strong>
					<xsl:value-of select="substring(//ds:Signature/ds:KeyInfo/ds:X509Data/ds:X509IssuerSerial/ds:X509IssuerName, 4)"/>
				</strong>
			</div>

		</xsl:if>
	</xsl:template>


</xsl:stylesheet>

